#include <amxmodx>
#include <amxmisc>

// Numele pluginului și autorul
#pragma semicolon 1
public plugin_init()
{
    register_plugin("Block Short Names", "1.0", "TYBY NGZ.RO");
}

public client_connect(id)
{
    // Obținem numele jucătorului
    new name[32];
    get_user_name(id, name, charsmax(name));
    
    // Dacă numele are mai puțin de 3 caractere sau este "."
    if (strlen(name) < 3 || equali(name, "."))
    {
        // Mesaj implicit în engleză
        client_print(id, print_console, "Your name is too short! Please use a name with at least 3 characters.");
        
        // Mesaj suplimentar în română
        client_print(id, print_console, "Numele tău este prea scurt! Te rugăm să folosești un nume cu cel puțin 3 caractere.");

        // Deconectăm jucătorul
        server_cmd("kick #%d Your name is too short! Change your name!", get_user_userid(id));
    }
}

